left_sidebar_width_opened        = 264px
left_sidebar_width_closed        = 56px
left_sidebar_width_mobile_opened = 210px
left_sidebar_width_mobile_closed = 54px
right_sidebar_width              = 35%
right_sidebar_width_mobile       = 100%

.app
    display flex
    flex-direction row

    &__left-sidebar
      position absolute
      top      0
      left     0
      z-index  1
      width: left_sidebar_width_opened
      height 100%
      padding-top 0

    &__left-sidebar-placeholder
      z-index 1
      pointer-events none
      min-width: left_sidebar_width_opened
      transition min-width .5s cubic-bezier(0.25, .8, .25, 1)

    &.left-sidebar__is-closed
      .app__left-sidebar-placeholder
        min-width: left_sidebar_width_closed
        transition min-width .5s cubic-bezier(0.25, .8, .25, 1)

.app-content
    flex auto
    z-index 2
    background-color white